Github messages for voidlinux
 help / color / mirror / Atom feed
* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
@ 2020-09-29 22:26 ` ericonr
  2021-09-30  4:16 ` dmarto
                   ` (7 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: ericonr @ 2020-09-29 22:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 197 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-701025175

Comment:
You can close #5194 to track it only here if you want.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
  2020-09-29 22:26 ` Some 32bit packages don't have the deps correctly rewritten to -32bit packages ericonr
@ 2021-09-30  4:16 ` dmarto
  2021-09-30  4:17 ` dmarto
                   ` (6 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: dmarto @ 2021-09-30  4:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 997 bytes --]

New comment by dmarto on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-930767836

Comment:
I don't know the status of the issue (as it is a bit old), I am just passing to report 2 such packages
 #### `pango-devel-32bit`
```
makedepends="fribidi-devel harfbuzz-devel libXft-devel libthai-devel"
depends="${makedepends} pango-xft>=${version}_${revision} pango>=${version}_${revision}"
```
All, but `pango` it self, are not rewritten to the 32bit versions.

#### `eudev-libudev-devel-32bit` and `eudev-libudev-devel`
 Are strangely broken in my opinion (but I am not that deeply versed in xbps), `eudev-libudev-devel-32bit` is depending on `eudev-libudev-devel` and vice-versa; on top of that `eudev-libudev-devel-32bit` is also dependant on `eudev-libudev` (not the 32bit version).

--

As usual, I am happy to help in any way, if I get a pointer or two (pun slightly intended) I am willing to go dig inside xbps to try and fix that.  

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
  2020-09-29 22:26 ` Some 32bit packages don't have the deps correctly rewritten to -32bit packages ericonr
  2021-09-30  4:16 ` dmarto
@ 2021-09-30  4:17 ` dmarto
  2021-09-30  4:19 ` dmarto
                   ` (5 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: dmarto @ 2021-09-30  4:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 999 bytes --]

New comment by dmarto on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-930767836

Comment:
I don't know the status of the issue (as it is a bit old), I am just passing to report 2.5 such packages
 #### `pango-devel-32bit`
```
makedepends="fribidi-devel harfbuzz-devel libXft-devel libthai-devel"
depends="${makedepends} pango-xft>=${version}_${revision} pango>=${version}_${revision}"
```
All, but `pango` it self, are not rewritten to the 32bit versions.

#### `eudev-libudev-devel-32bit` and `eudev-libudev-devel`
 Are strangely broken in my opinion (but I am not that deeply versed in xbps), `eudev-libudev-devel-32bit` is depending on `eudev-libudev-devel` and vice-versa; on top of that `eudev-libudev-devel-32bit` is also dependant on `eudev-libudev` (not the 32bit version).

--

As usual, I am happy to help in any way, if I get a pointer or two (pun slightly intended) I am willing to go dig inside xbps to try and fix that.  

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
                   ` (2 preceding siblings ...)
  2021-09-30  4:17 ` dmarto
@ 2021-09-30  4:19 ` dmarto
  2021-09-30  4:24 ` dmarto
                   ` (4 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: dmarto @ 2021-09-30  4:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 897 bytes --]

New comment by dmarto on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-930767836

Comment:
I don't know the status of the issue (as it is a bit old), I am just passing to report 2 such packages
 #### `pango-devel-32bit`
```
makedepends="fribidi-devel harfbuzz-devel libXft-devel libthai-devel"
depends="${makedepends} pango-xft>=${version}_${revision} pango>=${version}_${revision}"
```
All, but `pango` it self, are not rewritten to the 32bit versions.

#### `eudev-libudev-devel-32bit`
 Is strangely broken in my opinion (but I am not that deeply versed in xbps), `eudev-libudev-devel-32bit` is depending on `eudev-libudev-devel` and on `eudev-libudev` (not the 32bit version).

--

As usual, I am happy to help in any way, if I get a pointer or two (pun slightly intended) I am willing to go dig inside xbps to try and fix that.  

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
                   ` (3 preceding siblings ...)
  2021-09-30  4:19 ` dmarto
@ 2021-09-30  4:24 ` dmarto
  2021-10-07  8:02 ` dmarto
                   ` (3 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: dmarto @ 2021-09-30  4:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 907 bytes --]

New comment by dmarto on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-930767836

Comment:
I don't know the status of the issue (as it is a bit old), I am just passing to report 2 such packages
 #### `pango-devel-32bit`
```
makedepends="fribidi-devel harfbuzz-devel libXft-devel libthai-devel"
depends="${makedepends} pango-xft>=${version}_${revision} pango>=${version}_${revision}"
```
All, but `pango` it self, are not rewritten to the 32bit versions.

#### `eudev-libudev-devel-32bit`
`eudev-libudev-devel-32bit` is depending on `eudev-libudev`  and `eudev-libudev-devel`

I find the latter dependency extra strange, and that threw me in a circle that led to the edits of my comment. 

--

As usual, I am happy to help in any way, if I get a pointer or two (pun slightly intended) I am willing to go dig inside xbps to try and fix that.  

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
                   ` (4 preceding siblings ...)
  2021-09-30  4:24 ` dmarto
@ 2021-10-07  8:02 ` dmarto
  2021-10-13  5:27 ` ericonr
                   ` (2 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: dmarto @ 2021-10-07  8:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 906 bytes --]

New comment by dmarto on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-930767836

Comment:
I don't know the status of the issue (as it is a bit old), I am just passing to report 2 such packages
 #### `pango-devel-32bit`
```
makedepends="fribidi-devel harfbuzz-devel libXft-devel libthai-devel"
depends="${makedepends} pango-xft>=${version}_${revision} pango>=${version}_${revision}"
```
All, but `pango` itself, are not rewritten to the 32bit versions.

#### `eudev-libudev-devel-32bit`
`eudev-libudev-devel-32bit` is depending on `eudev-libudev`  and `eudev-libudev-devel`

I find the latter dependency extra strange, and that threw me in a circle that led to the edits of my comment. 

--

As usual, I am happy to help in any way, if I get a pointer or two (pun slightly intended) I am willing to go dig inside xbps to try and fix that.  

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
                   ` (5 preceding siblings ...)
  2021-10-07  8:02 ` dmarto
@ 2021-10-13  5:27 ` ericonr
  2021-10-13  5:28 ` ericonr
  2021-10-13 19:43 ` Chocimier
  8 siblings, 0 replies; 9+ messages in thread
From: ericonr @ 2021-10-13  5:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 296 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-941935237

Comment:
I think @Chocimier was looking into this.

I don't particularly like the -devel-32bit packages, and would recommend compiling on a i686 chroot instead.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
                   ` (6 preceding siblings ...)
  2021-10-13  5:27 ` ericonr
@ 2021-10-13  5:28 ` ericonr
  2021-10-13 19:43 ` Chocimier
  8 siblings, 0 replies; 9+ messages in thread
From: ericonr @ 2021-10-13  5:28 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 198 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-941935354

Comment:
(but since we generate them, they should actually work)

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Some 32bit packages don't have the deps correctly rewritten to -32bit packages
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
                   ` (7 preceding siblings ...)
  2021-10-13  5:28 ` ericonr
@ 2021-10-13 19:43 ` Chocimier
  8 siblings, 0 replies; 9+ messages in thread
From: Chocimier @ 2021-10-13 19:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1281 bytes --]

New comment by Chocimier on void-packages repository

https://github.com/void-linux/void-packages/issues/23368#issuecomment-942659892

Comment:
qt5-concurrent-32bit bug occurs because `pre-pkg/05-prepare-32bit.sh` reads `shlib-provides` file generated by `pre-pkg/06-shlib-provides.sh`, thus subpackages processed earlier will never be rewritten to depend on `-32bit` versions of subpackages processed later.

Splitting pre-pkg phase to two phases, first with `06-shlib-provides.sh collect_sonames ${PKGDESTDIR}`, and second with `05-prepare-32bit.sh`, `06-shlib-provides.sh collect_sonames ${_destdir32}` would be needed. Replacing 32bit packages with multilib prefixes might be better alternative.

On pango: when rebuild, depends looks fine, despite of no relevant changes done recently. The thing I did was about whether -devel-32bit packages are generated, but didn't changed rewriting of deps.

    pkgver: pango-devel-32bit-1.48.9_1
    run_depends:
            fribidi-devel-32bit>=0
            harfbuzz-devel-32bit>=0
            libXft-devel-32bit>=0
            libthai-devel-32bit>=0
            pango-xft>=1.48.9_1
            pango-32bit>=1.48.9_1

    pkgver: eudev-libudev-devel-32bit-3.2.10_1
    run_depends:
            eudev-libudev>=3.2.10_1

^ permalink raw reply	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2021-10-13 19:43 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-23368@inbox.vuxu.org>
2020-09-29 22:26 ` Some 32bit packages don't have the deps correctly rewritten to -32bit packages ericonr
2021-09-30  4:16 ` dmarto
2021-09-30  4:17 ` dmarto
2021-09-30  4:19 ` dmarto
2021-09-30  4:24 ` dmarto
2021-10-07  8:02 ` dmarto
2021-10-13  5:27 ` ericonr
2021-10-13  5:28 ` ericonr
2021-10-13 19:43 ` Chocimier

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ https://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git